%define		php_name	php%{?php_suffix}
%define		modname	htscanner
%define		status		stable
Summary:	%{modname} - PHP module to emulate .htaccess support in PHP engine
Summary(pl.UTF-8):	%{modname} - moduł PHP do emulacji obsługi .htaccess w silniku PHP
Name:		%{php_name}-pecl-htscanner
Version:	1.0.1
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/htscanner-%{version}.tgz
# Source0-md5:	7fbef47361933fd932a2ff8f44849f0e
URL:		http://pecl.php.net/package/htscanner/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-htscanner < 1.0.1-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When using a CGI version of PHP (plain old CGI or Fast-CGI) Apache
can't pass any PHP settings from htaccess files it parses. This can be
solved by giving each user it's own php.ini file, but I didn't like
that solution.

This extension parses these configuration files (in most cases
.htaccess) and changes the settings. It will search all directories
for a configuration file from the docroot until the directory where
the request scripts is found.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Przy używaniu PHP w wersji CGI (zwykłej CGI lub Fast-CGI) Apache nie
może przekazać ustawień PHP z plików htaccess. Można to rozwiązać
dając każdemu użytkownikowi własny plik php.ini, ale nie wszystkim to
rozwiązanie odpowiada.

To rozszerzenie analizuje wspomniane pliki konfiguracyjne (w
większości przypadków .htaccess) i zmienia ustawienia. Szuka pliku
konfiguracyjnego we kwszystkich katalogach od głównego (DocumentRoot)
co katalogu zawierającego żadane skrypty.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -n htscanner-%{version}

%build
phpize
%configure \
	--enable-htscanner
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so

;htscanner.config_file		= .htaccess
;htscanner.default_docroot	= /
;htscanner.default_ttl		= 300
;htscanner.stop_on_error	= 0
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-htscanner.git;a=log;h=auto/th/php-pecl-htscanner-1.0.1-8

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 0c96e29
- obsolete old php name
- release 8 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 3ff61ca
- php 5.5 rebuild
- release 7 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 3e1211c
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 8a8bfd9
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> b5a9039
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 3be12f5
- release 4 (by relup.sh)

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> 970c329
- updated to 1.0.1

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e2804eb
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 56543db
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 86f3298
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> e89193b
- obsolete as of 0.9.0

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> 699a39e
- updated to 0.9.0

* Sat Sep 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 408bbcd
- updated Name (php-pecl-htscanner now), Obsoletes: php-htscanner

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> 28c46aa
- switch to php-pecl-htscanner

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> 52239da
- merged changes from php-htscanner.spec

* Sat Sep 01 2007 zergin <zergin@pld-linux.org> 99d113a
- patch for tab delimited values when parsing php_values
  http://pecl.php.net/bugs/bug.php?id=11959

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0d01f63
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e6c2ac6
- converted to UTF-8

* Tue Dec 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 02a48d7
- typo, adjusted pl

* Sun Dec 24 2006 Adam Gołębiowski <adamg@pld-linux.org> e68fcc2
- new

